<?php

/**
 This project has been generated by worker generator
 has been made by fahmi sulaiman
 sulaimanfahmi@gmail.com
 check out my github @dekaulitz
 */
namespace App\Http\Validators;

use App\Http\Base\Validation;

class ItemValidator extends Validation
{
    /**
    * this function will call before insert, you can custom as your business requirement
    * @param array $input
    * @return $this
    */
    public function beforeInsert($input){
		if(empty($input["namaItem"])){
			array_push($this->error, ["namaItem" => "cannot be null"]);
		}
		else{
			$lengthnamaitem = strlen($input["namaItem"]);
			if($lengthnamaitem>200){
			array_push($this->error, ["namaitem" => "value too long"]);
			}
		}

        return $this;
    }

    /**
    * this function will call before update into database, you can custom as your business requirement
    * @param array $input
    * @param $id
    * @return $this
    */
    public function beforeUpdate($input,$id){
		if(empty($input["namaItem"])){
			array_push($this->error, ["namaItem" => "cannot be null"]);
		}
		else{
			$lengthnamaitem = strlen($input["namaItem"]);
			if($lengthnamaitem>200){
			array_push($this->error, ["namaitem" => "value too long"]);
			}
		}

        return $this;
    }

    /**
    * this function will call before delete from database, you can custom as your business requirement
    * @param $id
    * @return $this
    */
    public function beforeDelete($id){
	return $this;

    }


}